Bug 1533079 - xinit script unbound variable
Summary: xinit script unbound variable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: imsettings
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1532647 1533040 1533050
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-10 12:38 UTC by Akira TAGOH
Modified: 2018-01-30 18:01 UTC (History)
4 users (show)

Fixed In Version: imsettings-1.7.3-2.fc26 imsettings-1.7.3-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1533050
Environment:
Last Closed: 2018-01-30 17:29:53 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2018-01-10 12:38:59 UTC
+++ This bug was initially created as a clone of Bug #1533050 +++

Description of problem:
Adding set -u to a user's .profile does not allow a them to log in on the graphical console.

Version-Release number of selected component (if applicable):
dbus-1.10.24-3.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Add 'set -u' in user's $HOME/.profile
2. Login as same user in runlevel 3
3. Execute startx.

Actual results:
/etc/X11/xinit/xinitrc.d/10-qt5-check-opengl2.sh: line:41: IMSETTINGS_DISABLE_USER_XINPUTRC: unbound variable

Expected results:
no error

Additional info:

I think the same issue is on lines 87,90 and 94

--- Additional comment from Tomas Pelka on 2018-01-10 06:08:17 EST ---

I beleieve something like

[ -z ${IMSETTINGS_DISABLE_USER_XINPUTRC-} ] ....

could do the trick

Comment 1 Fedora Update System 2018-01-11 05:25:28 UTC
imsettings-1.7.3-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1fa79bbe67

Comment 2 Fedora Update System 2018-01-11 05:25:36 UTC
imsettings-1.7.3-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6f47ba8816

Comment 3 Fedora Update System 2018-01-11 23:08:59 UTC
imsettings-1.7.3-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1fa79bbe67

Comment 4 Fedora Update System 2018-01-11 23:42:49 UTC
imsettings-1.7.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6f47ba8816

Comment 5 Fedora Update System 2018-01-30 17:29:53 UTC
imsettings-1.7.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-01-30 18:01:05 UTC
imsettings-1.7.3-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.